Description

As observed here:

> On Sun, 2012-11-25 at 18:11 +0100, Soufian Jebbara wrote:

>> ich habe im Anhang ein Bild von einer Fehlermeldung und einem

>> Code-Schnipsel beigefiigt. Das Problem ist grade, dass wir auf Server und
>> App seite manchmal Fehler bekommen wenn wir eigene Datentypen

>> verschicken wollen.

>> Momentan mekert er bei mir, wenn ich das Objekt "CurrentUserList"

>> versenden will. Obwohl ich es genau wie die anderen beiden Datentypen
>> registriert habe, wirft nur dieser einen Fehler. Die

>> UserRegistrationData macht auf Serverseite keine Probleme. Nur auf der
>> App gibts ein equivalentes Problem.

>> Wisst ihr was zu tun ist?

>

> Ich kenne die Java Implementierung von RSB nicht so gut, aber ich kann
> vielleicht ein paar Vermutungen auBBern.

>

> Zuerst die generelle Anmerkung: Es ware gut, wenn ihr alle

> Nachrichtendefinitionen, die ihr als eigenstandige Nachrichten

> verschicken wollt, in einer eigenen Datei speichern und die

> java_outer_classname-Option setzen kdnntet. Als Vorlage kénnt ihr gerne
> RST nehmen [1]. Ich glaube eher nicht, dass euer jetziges Problem damit
> zu tun hat, es wére aber wirklich gut, wenn ihr das machen kénnten. Das
> Zusammenspiel mit existierender RSB-Software wirde sich sicherlich

> einfacher gestalten.

>

> Die einzige konkrete Vermutung zum Problem: Uberpriift mal die

> Reihenfolge, in der bei euch die Registrierung der Konverter und die

> Erzeugung der Listener und Informer ablauft (gilt fir Server und Android

> App). Wisst ihr sicher, dass die Registrierung der Konverter

> abgeschlossen ist, bevor Listener und/oder Informer erzeugt werden? Wenn
> nicht, versucht mal, das sicherzustellen.

Associated revisions

Revision 8bbc91a2 - 12/20/2012 05:21 PM - J. Moringen

Backport: Added "Missing Converters" issue in preparation.rst

fixes #1257
- preparation.rst: added "Missing Converters" issue in

"Troubleshooting" section

History

#1 - 12/20/2012 05:23 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-manuallcommit:8bbc91a223539269bbf1686c49e3d661dab3e8fa.
